Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class PlanningVariableDescriptor

    java.lang.Object
      org.drools.planner.core.domain.variable.PlanningVariableDescriptor

    public class PlanningVariableDescriptor

extends Object

Constructor Summary
`PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor, PropertyDescriptor variablePropertyDescriptor)`

Method Summary
`PlanningEntityDescriptor` | `getPlanningEntityDescriptor()`
`List<Object>` | `getPlanningValueList(Solution solution)`
`PlanningValueSorter` | `getPlanningValueSorter()`
`Object` | `getValue(Object bean)`
`String` | `getVariablePropertyName()`
`boolean` | `isInitialized(Object planningEntity)`
`void` | `setValue(Object bean, Object value)`
`void` | `uninitialize(Object planningEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningVariableDescriptor

    public PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor,
                                      PropertyDescriptor variablePropertyDescriptor)

Method Detail

### getPlanningEntityDescriptor

    public PlanningEntityDescriptor getPlanningEntityDescriptor()

### getVariablePropertyName

    public String getVariablePropertyName()

### getPlanningValueSorter

    public PlanningValueSorter getPlanningValueSorter()

### isInitialized

    public boolean isInitialized(Object planningEntity)

### uninitialize

    public void uninitialize(Object planningEntity)

### getValue

    public Object getValue(Object bean)

### setValue

    public void setValue(Object bean,
                         Object value)

### getPlanningValueList

    public List<Object> getPlanningValueList(Solution solution)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.